## ros-kinetic-cob-gazebo 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_gazebo)

find_package(catkin REQUIRED)

catkin_package()

### TESTING ###
if(CATKIN_ENABLE_TESTING)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    message("testing for robot: ${robot}")
    #rosbuild_add_roslaunch_check(launch robot:=${robot})
    #rosbuild_add_roslaunch_check(launch ROBOT=${robot})
  endforeach()
endif()

### INSTALL ###
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS ros/test/component_test.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES ros/test/param_arm_test.yaml ros/test/param_tray_test.yaml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/ros/test
)

=== debian/changelog ===
ros-kinetic-cob-gazebo (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #178 <https://github.com/ipa320/cob_simulation/issues/178> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-gazebo (0.7.4-1xenial) xenial; urgency=high

  * Merge pull request #175 <https://github.com/ipa320/cob_simulation/issues/175> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix pylint error
  * Merge pull request #174 <https://github.com/ipa320/cob_simulation/issues/174> from fmessmer/ci_updates
    [travis] ci updates
  * fix test dependendies
  * use catkin_install_python
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-gazebo (0.7.3-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-gazebo (0.7.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-kinetic-cob-gazebo (0.7.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-gazebo (0.7.0-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.10-1xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.9-1xenial) xenial; urgency=high

  * Merge pull request #160 <https://github.com/ipa320/cob_simulation/issues/160> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #154 <https://github.com/ipa320/cob_simulation/issues/154> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #151 <https://github.com/ipa320/cob_simulation/issues/151> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-gazebo (0.6.8-1xenial) xenial; urgency=high

  * remove cob_controller_configuration_gazebo
  * use exported robotlist and envlist
  * use cob_bringup robot.xml in simulation
  * manually fix changelog
  * Empty launch file changed and empty urdf created
  * wait parameter removed. it was not working when launching a empty world
  * Contributors: Bruno Brito, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.7-1xenial) xenial; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.6-1xenial) xenial; urgency=high

  * generic wait for environment before spawn robot
  * inserted wait for model, hopefully fixes max range bug
  * Contributors: Benjamin Maidel, ipa-srd

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.5-1xenial) xenial; urgency=high

  * fix dependency
  * remove robot_id
  * better default robot_id
  * new line
  * tf_prefix in higher level
  * better diff
  * nicer structure
  * Revert "spawn two robots"
    This reverts commit b66aa13d920824a052d398dd8b49cb52c2c4a155.
  * spawn two robots
  * Contributors: Felix Gruber, Florian Weisshardt, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.4-1xenial) xenial; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.3-1xenial) xenial; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.2-1xenial) xenial; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * missing dependencies for control plugins
  * delete desire
  * delete cob3-7
  * delete cob3-5
  * delete cob3-4
  * delete cob3-2
  * delete cob3-1
  * introduce launchfile argument for -J option of spawn_model
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-gazebo (0.6.1-1xenial) xenial; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-kinetic-cob-gazebo (0.6.0-1xenial) xenial; urgency=high

  * Merge pull request #65 <https://github.com/ipa320/cob_simulation/issues/65> from ipa320/hydro_dev
    bringin updates from hydro_dev
  * Merge pull request #64 <https://github.com/ipa320/cob_simulation/issues/64> from ipa320/hydro_release_candidate
    Hydro release candidate
  * 0.5.2
  * update changelog
  * Contributors: Florian Weisshardt

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-kinetic-cob-gazebo (0.5.2-1xenial) xenial; urgency=high

  * cleaning up
  * New maintainer
  * no OpenCV required in cob_gazebo
  * Contributors: ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-kinetic-cob-gazebo (0.5.1-1xenial) xenial; urgency=high

  * merge with groovy_dev
  * setup tests
  * fix launch file
  * New structure
  * merge with groovy_dev
  * Adapt to the new cob_controller_configuration_gazebo structure
  * removed a lot of code related to packages not available in hydro anymore
  * change dependency from gazebo to gazebo_ros
  * remove duplication
  * changed to new gazebo_ros bridge


=== debian/control ===
Source: ros-kinetic-cob-gazebo
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cob-supported-robots, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/cob_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-cob-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-bringup, ros-kinetic-cob-default-robot-config, ros-kinetic-cob-gazebo-ros-control, ros-kinetic-cob-hardware-config, ros-kinetic-cob-script-server, ros-kinetic-control-msgs, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-trajectory-msgs
Description: Launch files and tools for 3D simulation of Care-O-bot in gazebo simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
